org.keycloak.models

## Class ClaimMask

- java.lang.Object
- - org.keycloak.models.ClaimMask

-     public class ClaimMask
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `ADDRESS`
    `static long` | `ALL`
    `static long` | `EMAIL`
    `static long` | `GENDER`
    `static long` | `LOCALE`
    `static long` | `NAME`
    `static long` | `PHONE`
    `static long` | `PICTURE`
    `static long` | `PROFILE`
    `static long` | `USERNAME`
    `static long` | `WEBSITE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClaimMask()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `hasAddress(long mask)`
    `static boolean` | `hasEmail(long mask)`
    `static boolean` | `hasGender(long mask)`
    `static boolean` | `hasLocale(long mask)`
    `static boolean` | `hasName(long mask)`
    `static boolean` | `hasPhone(long mask)`
    `static boolean` | `hasPicture(long mask)`
    `static boolean` | `hasProfile(long mask)`
    `static boolean` | `hasUsername(long mask)`
    `static boolean` | `hasWebsite(long mask)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final long NAME

      See Also:
        Constant Field Values

    - #### USERNAME

          public static final long USERNAME

      See Also:
        Constant Field Values

    - #### PROFILE

          public static final long PROFILE

      See Also:
        Constant Field Values

    - #### PICTURE

          public static final long PICTURE

      See Also:
        Constant Field Values

    - #### WEBSITE

          public static final long WEBSITE

      See Also:
        Constant Field Values

    - #### EMAIL

          public static final long EMAIL

      See Also:
        Constant Field Values

    - #### GENDER

          public static final long GENDER

      See Also:
        Constant Field Values

    - #### LOCALE

          public static final long LOCALE

      See Also:
        Constant Field Values

    - #### ADDRESS

          public static final long ADDRESS

      See Also:
        Constant Field Values

    - #### PHONE

          public static final long PHONE

      See Also:
        Constant Field Values

    - #### ALL

          public static final long ALL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ClaimMask

          public ClaimMask()

  - ### Method Detail

    - #### hasName

          public static boolean hasName(long mask)

    - #### hasUsername

          public static boolean hasUsername(long mask)

    - #### hasProfile

          public static boolean hasProfile(long mask)

    - #### hasPicture

          public static boolean hasPicture(long mask)

    - #### hasWebsite

          public static boolean hasWebsite(long mask)

    - #### hasEmail

          public static boolean hasEmail(long mask)

    - #### hasGender

          public static boolean hasGender(long mask)

    - #### hasLocale

          public static boolean hasLocale(long mask)

    - #### hasAddress

          public static boolean hasAddress(long mask)

    - #### hasPhone

          public static boolean hasPhone(long mask)

Copyright © 2021 JBoss by Red Hat. All rights reserved.